// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXBuildFile section */
		48C856CF820EB5F4DC4B7B93 /* Pods_CUITools_Tests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3D372439F8355C3FFDABB11B /* Pods_CUITools_Tests.framework */; };
		54FA04277CC1202414369780 /* Pods_CUITools_Example.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = DFF4BE855CA9AAB25C3901B7 /* Pods_CUITools_Example.framework */; };
		607FACD61AFB9204008FA782 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 607FACD51AFB9204008FA782 /* AppDelegate.swift */; };
		607FACD81AFB9204008FA782 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 607FACD71AFB9204008FA782 /* ViewController.swift */; };
		607FACDB1AFB9204008FA782 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 607FACD91AFB9204008FA782 /* Main.storyboard */; };
		607FACDD1AFB9204008FA782 /* Images.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 607FACDC1AFB9204008FA782 /* Images.xcassets */; };
		607FACE01AFB9204008FA782 /* LaunchScreen.xib in Resources */ = {isa = PBXBuildFile; fileRef = 607FACDE1AFB9204008FA782 /* LaunchScreen.xib */; };
		607FACEC1AFB9204008FA782 /* Tests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 607FACEB1AFB9204008FA782 /* Tests.swift */; };
		DF06BBC21FA48A990092F246 /* ImageViewerTestController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DF06BBC11FA48A990092F246 /* ImageViewerTestController.swift */; };
		DF183A931FBC200B003B0912 /* BulletinTestViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DF183A921FBC200B003B0912 /* BulletinTestViewController.swift */; };
		DF261CC51F9A864C00BF2679 /* LoadingViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DF261CC41F9A864C00BF2679 /* LoadingViewController.swift */; };
		DF4E5B2F1F98C4FB006C9884 /* MSViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DF4E5B2E1F98C4FB006C9884 /* MSViewController.swift */; };
		DF7042891F9D1B84006F6249 /* LoadingImageTestViewContorller.swift in Sources */ = {isa = PBXBuildFile; fileRef = DF7042881F9D1B84006F6249 /* LoadingImageTestViewContorller.swift */; };
		DF7FA0571F9BB3E1005B1D4D /* UIViewControllerExtensionTest.swift in Sources */ = {isa = PBXBuildFile; fileRef = DF7FA0561F9BB3E1005B1D4D /* UIViewControllerExtensionTest.swift */; };
		DF7FA0681F9CB1A4005B1D4D /* LoadingButtonViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DF7FA0671F9CB1A4005B1D4D /* LoadingButtonViewController.swift */; };
		DF8554DF1F9B3241002A7D32 /* MSTableViewControllerTest.swift in Sources */ = {isa = PBXBuildFile; fileRef = DF8554DE1F9B3241002A7D32 /* MSTableViewControllerTest.swift */; };
		DF8ACB921FBAE05A008955D4 /* SelectController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DF8ACB911FBAE05A008955D4 /* SelectController.swift */; };
		DF8FE54E1FA081E700BB0A0F /* SkeletonViewTestController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DF8FE54D1FA081E700BB0A0F /* SkeletonViewTestController.swift */; };
		DF8FE5561FA0A6FE00BB0A0F /* FormViewTestViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DF8FE5551FA0A6FE00BB0A0F /* FormViewTestViewController.swift */; };
		DFAB41391FB32EE60067E57A /* NotificationViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DFAB41371FB32EE60067E57A /* NotificationViewController.swift */; };
		DFAB413A1FB32EE60067E57A /* NotificationViewController.xib in Resources */ = {isa = PBXBuildFile; fileRef = DFAB41381FB32EE60067E57A /* NotificationViewController.xib */; };
		DFBD789B1F9F2B8D00093943 /* SearchViewTestController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DFBD789A1F9F2B8D00093943 /* SearchViewTestController.swift */; };
		DFFBB7B81F9DDF440032AB10 /* SelectImageTestViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DFFBB7B71F9DDF440032AB10 /* SelectImageTestViewController.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		607FACE61AFB9204008FA782 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 607FACC81AFB9204008FA782 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 607FACCF1AFB9204008FA782;
			remoteInfo = CUITools;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		004A8E04B1CEAC88CE0F7512 /* README.md */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = net.daringfireball.markdown; name = README.md; path = ../README.md; sourceTree = "<group>"; };
		3D372439F8355C3FFDABB11B /* Pods_CUITools_Tests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_CUITools_Tests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		3DD8544F666CC4FE93A2DE8D /* Pods-CUITools_Example.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-CUITools_Example.debug.xcconfig"; path = "Pods/Target Support Files/Pods-CUITools_Example/Pods-CUITools_Example.debug.xcconfig"; sourceTree = "<group>"; };
		607FACD01AFB9204008FA782 /* CUITools_Example.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = CUITools_Example.app; sourceTree = BUILT_PRODUCTS_DIR; };
		607FACD41AFB9204008FA782 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		607FACD51AFB9204008FA782 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		607FACD71AFB9204008FA782 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		607FACDA1AFB9204008FA782 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		607FACDC1AFB9204008FA782 /* Images.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Images.xcassets; sourceTree = "<group>"; };
		607FACDF1AFB9204008FA782 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.xib; name = Base; path = Base.lproj/LaunchScreen.xib; sourceTree = "<group>"; };
		607FACE51AFB9204008FA782 /* CUITools_Tests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = CUITools_Tests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		607FACEA1AFB9204008FA782 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		607FACEB1AFB9204008FA782 /* Tests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Tests.swift; sourceTree = "<group>"; };
		6C5004643EF0F1ADD832A423 /* Pods-CUITools_Example.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-CUITools_Example.release.xcconfig"; path = "Pods/Target Support Files/Pods-CUITools_Example/Pods-CUITools_Example.release.xcconfig"; sourceTree = "<group>"; };
		895E7A18BD0EB49A032DEB62 /* CUITools.podspec */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text; name = CUITools.podspec; path = ../CUITools.podspec; sourceTree = "<group>"; };
		92FF8285241011F0C4549AA0 /* LICENSE */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text; name = LICENSE; path = ../LICENSE; sourceTree = "<group>"; };
		C51CADF102571A6A50CCDF2A /* Pods-CUITools_Tests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-CUITools_Tests.debug.xcconfig"; path = "Pods/Target Support Files/Pods-CUITools_Tests/Pods-CUITools_Tests.debug.xcconfig"; sourceTree = "<group>"; };
		DF06BBC11FA48A990092F246 /* ImageViewerTestController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ImageViewerTestController.swift; sourceTree = "<group>"; };
		DF183A921FBC200B003B0912 /* BulletinTestViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BulletinTestViewController.swift; sourceTree = "<group>"; };
		DF261CC41F9A864C00BF2679 /* LoadingViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoadingViewController.swift; sourceTree = "<group>"; };
		DF4E5B2E1F98C4FB006C9884 /* MSViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MSViewController.swift; sourceTree = "<group>"; };
		DF7042881F9D1B84006F6249 /* LoadingImageTestViewContorller.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoadingImageTestViewContorller.swift; sourceTree = "<group>"; };
		DF7FA0561F9BB3E1005B1D4D /* UIViewControllerExtensionTest.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIViewControllerExtensionTest.swift; sourceTree = "<group>"; };
		DF7FA0671F9CB1A4005B1D4D /* LoadingButtonViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoadingButtonViewController.swift; sourceTree = "<group>"; };
		DF8554DE1F9B3241002A7D32 /* MSTableViewControllerTest.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MSTableViewControllerTest.swift; sourceTree = "<group>"; };
		DF8ACB911FBAE05A008955D4 /* SelectController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SelectController.swift; sourceTree = "<group>"; };
		DF8FE54D1FA081E700BB0A0F /* SkeletonViewTestController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SkeletonViewTestController.swift; sourceTree = "<group>"; };
		DF8FE5551FA0A6FE00BB0A0F /* FormViewTestViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FormViewTestViewController.swift; sourceTree = "<group>"; };
		DFAB41371FB32EE60067E57A /* NotificationViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NotificationViewController.swift; sourceTree = "<group>"; };
		DFAB41381FB32EE60067E57A /* NotificationViewController.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = NotificationViewController.xib; sourceTree = "<group>"; };
		DFBD789A1F9F2B8D00093943 /* SearchViewTestController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SearchViewTestController.swift; sourceTree = "<group>"; };
		DFF4BE855CA9AAB25C3901B7 /* Pods_CUITools_Example.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_CUITools_Example.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		DFFBB7B71F9DDF440032AB10 /* SelectImageTestViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SelectImageTestViewController.swift; sourceTree = "<group>"; };
		FB58684C10FD1144DED88B6A /* Pods-CUITools_Tests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-CUITools_Tests.release.xcconfig"; path = "Pods/Target Support Files/Pods-CUITools_Tests/Pods-CUITools_Tests.release.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		607FACCD1AFB9204008FA782 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				54FA04277CC1202414369780 /* Pods_CUITools_Example.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		607FACE21AFB9204008FA782 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				48C856CF820EB5F4DC4B7B93 /* Pods_CUITools_Tests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		192321C8A52A22F6BC4AD4C1 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				DFF4BE855CA9AAB25C3901B7 /* Pods_CUITools_Example.framework */,
				3D372439F8355C3FFDABB11B /* Pods_CUITools_Tests.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		607FACC71AFB9204008FA782 = {
			isa = PBXGroup;
			children = (
				607FACF51AFB993E008FA782 /* Podspec Metadata */,
				607FACD21AFB9204008FA782 /* Example for CUITools */,
				607FACE81AFB9204008FA782 /* Tests */,
				607FACD11AFB9204008FA782 /* Products */,
				B60B5ADB11D31A178FAED170 /* Pods */,
				192321C8A52A22F6BC4AD4C1 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		607FACD11AFB9204008FA782 /* Products */ = {
			isa = PBXGroup;
			children = (
				607FACD01AFB9204008FA782 /* CUITools_Example.app */,
				607FACE51AFB9204008FA782 /* CUITools_Tests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		607FACD21AFB9204008FA782 /* Example for CUITools */ = {
			isa = PBXGroup;
			children = (
				DF183A911FBC1FF1003B0912 /* Bulletin */,
				DF8ACB901FBAE047008955D4 /* SelectController */,
				DFAB41361FB32ED00067E57A /* Notification */,
				DF06BBC01FA48A850092F246 /* ImageViewer */,
				DF8FE5541FA0A6ED00BB0A0F /* FormView */,
				DF8FE54C1FA081D500BB0A0F /* SkeletonView */,
				DFBD78991F9F2AF700093943 /* SearchView */,
				DFFBB7B61F9DDF2D0032AB10 /* SelectImage */,
				DF7042871F9D1B62006F6249 /* LoadingImage */,
				DF7FA0661F9CB0FF005B1D4D /* LoadingButton */,
				DF7FA0551F9BB3C5005B1D4D /* UIViewController+Loading */,
				DF8554DD1F9B3231002A7D32 /* MSTableViewController */,
				DF261CC31F9A85D600BF2679 /* Loading */,
				DF4E5B2D1F98C4E8006C9884 /* MSView */,
				607FACD51AFB9204008FA782 /* AppDelegate.swift */,
				607FACD71AFB9204008FA782 /* ViewController.swift */,
				607FACD91AFB9204008FA782 /* Main.storyboard */,
				607FACDC1AFB9204008FA782 /* Images.xcassets */,
				607FACDE1AFB9204008FA782 /* LaunchScreen.xib */,
				607FACD31AFB9204008FA782 /* Supporting Files */,
			);
			name = "Example for CUITools";
			path = CUITools;
			sourceTree = "<group>";
		};
		607FACD31AFB9204008FA782 /* Supporting Files */ = {
			isa = PBXGroup;
			children = (
				607FACD41AFB9204008FA782 /* Info.plist */,
			);
			name = "Supporting Files";
			sourceTree = "<group>";
		};
		607FACE81AFB9204008FA782 /* Tests */ = {
			isa = PBXGroup;
			children = (
				607FACEB1AFB9204008FA782 /* Tests.swift */,
				607FACE91AFB9204008FA782 /* Supporting Files */,
			);
			path = Tests;
			sourceTree = "<group>";
		};
		607FACE91AFB9204008FA782 /* Supporting Files */ = {
			isa = PBXGroup;
			children = (
				607FACEA1AFB9204008FA782 /* Info.plist */,
			);
			name = "Supporting Files";
			sourceTree = "<group>";
		};
		607FACF51AFB993E008FA782 /* Podspec Metadata */ = {
			isa = PBXGroup;
			children = (
				895E7A18BD0EB49A032DEB62 /* CUITools.podspec */,
				004A8E04B1CEAC88CE0F7512 /* README.md */,
				92FF8285241011F0C4549AA0 /* LICENSE */,
			);
			name = "Podspec Metadata";
			sourceTree = "<group>";
		};
		B60B5ADB11D31A178FAED170 /* Pods */ = {
			isa = PBXGroup;
			children = (
				3DD8544F666CC4FE93A2DE8D /* Pods-CUITools_Example.debug.xcconfig */,
				6C5004643EF0F1ADD832A423 /* Pods-CUITools_Example.release.xcconfig */,
				C51CADF102571A6A50CCDF2A /* Pods-CUITools_Tests.debug.xcconfig */,
				FB58684C10FD1144DED88B6A /* Pods-CUITools_Tests.release.xcconfig */,
			);
			name = Pods;
			sourceTree = "<group>";
		};
		DF06BBC01FA48A850092F246 /* ImageViewer */ = {
			isa = PBXGroup;
			children = (
				DF06BBC11FA48A990092F246 /* ImageViewerTestController.swift */,
			);
			name = ImageViewer;
			sourceTree = "<group>";
		};
		DF183A911FBC1FF1003B0912 /* Bulletin */ = {
			isa = PBXGroup;
			children = (
				DF183A921FBC200B003B0912 /* BulletinTestViewController.swift */,
			);
			name = Bulletin;
			sourceTree = "<group>";
		};
		DF261CC31F9A85D600BF2679 /* Loading */ = {
			isa = PBXGroup;
			children = (
				DF261CC41F9A864C00BF2679 /* LoadingViewController.swift */,
			);
			name = Loading;
			sourceTree = "<group>";
		};
		DF4E5B2D1F98C4E8006C9884 /* MSView */ = {
			isa = PBXGroup;
			children = (
				DF4E5B2E1F98C4FB006C9884 /* MSViewController.swift */,
			);
			name = MSView;
			sourceTree = "<group>";
		};
		DF7042871F9D1B62006F6249 /* LoadingImage */ = {
			isa = PBXGroup;
			children = (
				DF7042881F9D1B84006F6249 /* LoadingImageTestViewContorller.swift */,
			);
			name = LoadingImage;
			sourceTree = "<group>";
		};
		DF7FA0551F9BB3C5005B1D4D /* UIViewController+Loading */ = {
			isa = PBXGroup;
			children = (
				DF7FA0561F9BB3E1005B1D4D /* UIViewControllerExtensionTest.swift */,
			);
			name = "UIViewController+Loading";
			sourceTree = "<group>";
		};
		DF7FA0661F9CB0FF005B1D4D /* LoadingButton */ = {
			isa = PBXGroup;
			children = (
				DF7FA0671F9CB1A4005B1D4D /* LoadingButtonViewController.swift */,
			);
			name = LoadingButton;
			sourceTree = "<group>";
		};
		DF8554DD1F9B3231002A7D32 /* MSTableViewController */ = {
			isa = PBXGroup;
			children = (
				DF8554DE1F9B3241002A7D32 /* MSTableViewControllerTest.swift */,
			);
			name = MSTableViewController;
			sourceTree = "<group>";
		};
		DF8ACB901FBAE047008955D4 /* SelectController */ = {
			isa = PBXGroup;
			children = (
				DF8ACB911FBAE05A008955D4 /* SelectController.swift */,
			);
			name = SelectController;
			sourceTree = "<group>";
		};
		DF8FE54C1FA081D500BB0A0F /* SkeletonView */ = {
			isa = PBXGroup;
			children = (
				DF8FE54D1FA081E700BB0A0F /* SkeletonViewTestController.swift */,
			);
			name = SkeletonView;
			sourceTree = "<group>";
		};
		DF8FE5541FA0A6ED00BB0A0F /* FormView */ = {
			isa = PBXGroup;
			children = (
				DF8FE5551FA0A6FE00BB0A0F /* FormViewTestViewController.swift */,
			);
			name = FormView;
			sourceTree = "<group>";
		};
		DFAB41361FB32ED00067E57A /* Notification */ = {
			isa = PBXGroup;
			children = (
				DFAB41371FB32EE60067E57A /* NotificationViewController.swift */,
				DFAB41381FB32EE60067E57A /* NotificationViewController.xib */,
			);
			name = Notification;
			sourceTree = "<group>";
		};
		DFBD78991F9F2AF700093943 /* SearchView */ = {
			isa = PBXGroup;
			children = (
				DFBD789A1F9F2B8D00093943 /* SearchViewTestController.swift */,
			);
			name = SearchView;
			sourceTree = "<group>";
		};
		DFFBB7B61F9DDF2D0032AB10 /* SelectImage */ = {
			isa = PBXGroup;
			children = (
				DFFBB7B71F9DDF440032AB10 /* SelectImageTestViewController.swift */,
			);
			name = SelectImage;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		607FACCF1AFB9204008FA782 /* CUITools_Example */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 607FACEF1AFB9204008FA782 /* Build configuration list for PBXNativeTarget "CUITools_Example" */;
			buildPhases = (
				69F4B9754A9AF33FD3BC4A58 /* [CP] Check Pods Manifest.lock */,
				607FACCC1AFB9204008FA782 /* Sources */,
				607FACCD1AFB9204008FA782 /* Frameworks */,
				607FACCE1AFB9204008FA782 /* Resources */,
				52B7E8C8EFBB9F169243FDB4 /* [CP] Embed Pods Frameworks */,
				329C9D2EA6308531A6FAC883 /* [CP] Copy Pods Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = CUITools_Example;
			productName = CUITools;
			productReference = 607FACD01AFB9204008FA782 /* CUITools_Example.app */;
			productType = "com.apple.product-type.application";
		};
		607FACE41AFB9204008FA782 /* CUITools_Tests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 607FACF21AFB9204008FA782 /* Build configuration list for PBXNativeTarget "CUITools_Tests" */;
			buildPhases = (
				51DF1F7AD3D07E60E347D675 /* [CP] Check Pods Manifest.lock */,
				607FACE11AFB9204008FA782 /* Sources */,
				607FACE21AFB9204008FA782 /* Frameworks */,
				607FACE31AFB9204008FA782 /* Resources */,
				AACDD3647ABE5D3D5F3EA683 /* [CP] Embed Pods Frameworks */,
				B4370E2174C727BA1F28D690 /* [CP] Copy Pods Resources */,
			);
			buildRules = (
			);
			dependencies = (
				607FACE71AFB9204008FA782 /* PBXTargetDependency */,
			);
			name = CUITools_Tests;
			productName = Tests;
			productReference = 607FACE51AFB9204008FA782 /* CUITools_Tests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		607FACC81AFB9204008FA782 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0830;
				LastUpgradeCheck = 0830;
				ORGANIZATIONNAME = CocoaPods;
				TargetAttributes = {
					607FACCF1AFB9204008FA782 = {
						CreatedOnToolsVersion = 6.3.1;
						DevelopmentTeam = 53HQ25Z97C;
						LastSwiftMigration = 0900;
					};
					607FACE41AFB9204008FA782 = {
						CreatedOnToolsVersion = 6.3.1;
						DevelopmentTeam = 53HQ25Z97C;
						LastSwiftMigration = 0900;
						TestTargetID = 607FACCF1AFB9204008FA782;
					};
				};
			};
			buildConfigurationList = 607FACCB1AFB9204008FA782 /* Build configuration list for PBXProject "CUITools" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = English;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 607FACC71AFB9204008FA782;
			productRefGroup = 607FACD11AFB9204008FA782 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				607FACCF1AFB9204008FA782 /* CUITools_Example */,
				607FACE41AFB9204008FA782 /* CUITools_Tests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		607FACCE1AFB9204008FA782 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				607FACDB1AFB9204008FA782 /* Main.storyboard in Resources */,
				DFAB413A1FB32EE60067E57A /* NotificationViewController.xib in Resources */,
				607FACE01AFB9204008FA782 /* LaunchScreen.xib in Resources */,
				607FACDD1AFB9204008FA782 /* Images.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		607FACE31AFB9204008FA782 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		329C9D2EA6308531A6FAC883 /* [CP] Copy Pods Resources */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "[CP] Copy Pods Resources";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-CUITools_Example/Pods-CUITools_Example-resources.sh\"\n";
			showEnvVarsInLog = 0;
		};
		51DF1F7AD3D07E60E347D675 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-CUITools_Tests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		52B7E8C8EFBB9F169243FDB4 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"${SRCROOT}/Pods/Target Support Files/Pods-CUITools_Example/Pods-CUITools_Example-frameworks.sh",
				"${BUILT_PRODUCTS_DIR}/AdvancedTableView/AdvancedTableView.framework",
				"${BUILT_PRODUCTS_DIR}/CUITools/CUITools.framework",
				"${BUILT_PRODUCTS_DIR}/DKImagePickerController/DKImagePickerController.framework",
				"${BUILT_PRODUCTS_DIR}/ImageViewer/ImageViewer.framework",
				"${BUILT_PRODUCTS_DIR}/SelectController/SelectController.framework",
				"${BUILT_PRODUCTS_DIR}/SnapKit/SnapKit.framework",
				"${BUILT_PRODUCTS_DIR}/SwiftHTTP/SwiftHTTP.framework",
			);
			name = "[CP] Embed Pods Frameworks";
			outputPaths = (
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/AdvancedTableView.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/CUITools.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/DKImagePickerController.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/ImageViewer.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/SelectController.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/SnapKit.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/SwiftHTTP.framework",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-CUITools_Example/Pods-CUITools_Example-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		69F4B9754A9AF33FD3BC4A58 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-CUITools_Example-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		AACDD3647ABE5D3D5F3EA683 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "[CP] Embed Pods Frameworks";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-CUITools_Tests/Pods-CUITools_Tests-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		B4370E2174C727BA1F28D690 /* [CP] Copy Pods Resources */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "[CP] Copy Pods Resources";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-CUITools_Tests/Pods-CUITools_Tests-resources.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		607FACCC1AFB9204008FA782 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				607FACD81AFB9204008FA782 /* ViewController.swift in Sources */,
				DF06BBC21FA48A990092F246 /* ImageViewerTestController.swift in Sources */,
				DF183A931FBC200B003B0912 /* BulletinTestViewController.swift in Sources */,
				DF4E5B2F1F98C4FB006C9884 /* MSViewController.swift in Sources */,
				DFBD789B1F9F2B8D00093943 /* SearchViewTestController.swift in Sources */,
				DF7FA0571F9BB3E1005B1D4D /* UIViewControllerExtensionTest.swift in Sources */,
				DF8554DF1F9B3241002A7D32 /* MSTableViewControllerTest.swift in Sources */,
				DFFBB7B81F9DDF440032AB10 /* SelectImageTestViewController.swift in Sources */,
				DF8FE54E1FA081E700BB0A0F /* SkeletonViewTestController.swift in Sources */,
				607FACD61AFB9204008FA782 /* AppDelegate.swift in Sources */,
				DF7FA0681F9CB1A4005B1D4D /* LoadingButtonViewController.swift in Sources */,
				DF8ACB921FBAE05A008955D4 /* SelectController.swift in Sources */,
				DFAB41391FB32EE60067E57A /* NotificationViewController.swift in Sources */,
				DF261CC51F9A864C00BF2679 /* LoadingViewController.swift in Sources */,
				DF8FE5561FA0A6FE00BB0A0F /* FormViewTestViewController.swift in Sources */,
				DF7042891F9D1B84006F6249 /* LoadingImageTestViewContorller.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		607FACE11AFB9204008FA782 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				607FACEC1AFB9204008FA782 /* Tests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		607FACE71AFB9204008FA782 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 607FACCF1AFB9204008FA782 /* CUITools_Example */;
			targetProxy = 607FACE61AFB9204008FA782 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		607FACD91AFB9204008FA782 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				607FACDA1AFB9204008FA782 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		607FACDE1AFB9204008FA782 /* LaunchScreen.xib */ = {
			isa = PBXVariantGroup;
			children = (
				607FACDF1AFB9204008FA782 /* Base */,
			);
			name = LaunchScreen.xib;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		607FACED1AFB9204008FA782 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		607FACEE1AFB9204008FA782 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Owholemodule";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		607FACF01AFB9204008FA782 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 3DD8544F666CC4FE93A2DE8D /* Pods-CUITools_Example.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				DEVELOPMENT_TEAM = 53HQ25Z97C;
				INFOPLIST_FILE = CUITools/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				MODULE_NAME = ExampleApp;
				PRODUCT_BUNDLE_IDENTIFIER = "org.cocoapods.demo.$(PRODUCT_NAME:rfc1034identifier)";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_SWIFT3_OBJC_INFERENCE = Default;
				SWIFT_VERSION = 3.0;
			};
			name = Debug;
		};
		607FACF11AFB9204008FA782 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 6C5004643EF0F1ADD832A423 /* Pods-CUITools_Example.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				DEVELOPMENT_TEAM = 53HQ25Z97C;
				INFOPLIST_FILE = CUITools/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				MODULE_NAME = ExampleApp;
				PRODUCT_BUNDLE_IDENTIFIER = "org.cocoapods.demo.$(PRODUCT_NAME:rfc1034identifier)";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_SWIFT3_OBJC_INFERENCE = Default;
				SWIFT_VERSION = 3.0;
			};
			name = Release;
		};
		607FACF31AFB9204008FA782 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = C51CADF102571A6A50CCDF2A /* Pods-CUITools_Tests.debug.xcconfig */;
			buildSettings = {
				DEVELOPMENT_TEAM = 53HQ25Z97C;
				FRAMEWORK_SEARCH_PATHS = (
					"$(SDKROOT)/Developer/Library/Frameworks",
					"$(inherited)",
				);
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				INFOPLIST_FILE = Tests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @loader_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = "org.cocoapods.$(PRODUCT_NAME:rfc1034identifier)";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_SWIFT3_OBJC_INFERENCE = Default;
				SWIFT_VERSION = 4.0;
			};
			name = Debug;
		};
		607FACF41AFB9204008FA782 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = FB58684C10FD1144DED88B6A /* Pods-CUITools_Tests.release.xcconfig */;
			buildSettings = {
				DEVELOPMENT_TEAM = 53HQ25Z97C;
				FRAMEWORK_SEARCH_PATHS = (
					"$(SDKROOT)/Developer/Library/Frameworks",
					"$(inherited)",
				);
				INFOPLIST_FILE = Tests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @loader_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = "org.cocoapods.$(PRODUCT_NAME:rfc1034identifier)";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_SWIFT3_OBJC_INFERENCE = Default;
				SWIFT_VERSION = 4.0;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		607FACCB1AFB9204008FA782 /* Build configuration list for PBXProject "CUITools" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				607FACED1AFB9204008FA782 /* Debug */,
				607FACEE1AFB9204008FA782 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		607FACEF1AFB9204008FA782 /* Build configuration list for PBXNativeTarget "CUITools_Example" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				607FACF01AFB9204008FA782 /* Debug */,
				607FACF11AFB9204008FA782 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		607FACF21AFB9204008FA782 /* Build configuration list for PBXNativeTarget "CUITools_Tests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				607FACF31AFB9204008FA782 /* Debug */,
				607FACF41AFB9204008FA782 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 607FACC81AFB9204008FA782 /* Project object */;
}
